Bug 152164 - Anaconda forces installation of bootloader onto wrong drive - no selection possible
Anaconda forces installation of bootloader onto wrong drive - no selection po...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-25 10:06 EST by Graham Leggett
Modified: 2008-02-06 23:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 23:31:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2005-03-25 10:06:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20050130 Fedora/1.7.5-3

Description of problem:
If you are making an attempt to install Linux onto a system with a SATA drive (/dev/sda) and an old legacy drive (/dev/hda), anaconda will force the boot partition to be installed onto the legacy IDE drive without giving the user the option to override this selection.

The workaround is to remove the IDE drive, then install, then reattach the IDE drive - not something you want to inflict on somebody with frayed nerves at having to deal with anaconda.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
xxx

Additional info:
Comment 1 Jeremy Katz 2005-03-28 14:02:43 EST
If you go to the advanced boot loader options screen, you have the option of
reordering the drives.  Unfortunately, PC hardware doesn't have a general and
reliable mechanism for determining this.
Comment 2 Graham Leggett 2005-03-28 14:48:35 EST
I did go to the advanced boot loader options screen, and no such option existed
on my platform.

Changing the destination drive is not something that is supposed to be hidden
inside an advanced options screen regardless.
Comment 3 Dr J Austin 2005-04-01 04:52:01 EST
Just Installing FC4T1 x86-64 on an external USB Drive
I wish to write grub to the MBR of the USB disk NOT the int disk
The BIOS boot order is set to CD, USB HDD, SCSI (int SATA, not raid)
The installer now (correctly ?) shows the USB as sda (different from FC3)
Int SATA is sdb
However even by going to Config Adv Boot Option
it does not seem possible to write grub to sda
I am offered sdb or sda1
I can appear to change the order but if I do the changes are not reflected
at the top of that screen, nor on the previous screen.
It still says it will put grub on sdb !!!!
I didn't trust it so had to choose No boot loader and I will install grub by
hand after install is complete
Comment 4 Clyde E. Kunkel 2006-01-05 20:43:18 EST
On a clean install of today's (1/5/2006) rawhide, anaconda (or was it grub?)
decided that grub was on hd1 vice hd0.  In previous installs on this system, the
proper drive (hd0) was selected.

device.map showed:

(fd0)	/dev/fd0
(hd1)	/dev/hda

Should have been:
(fd0)	/dev/fd0
(hd0)	/dev/hda

The intention was to put the boot partition on /dev/hda17.  I believe grub
generally does not support partitions beyond 15?  If so, that may explain the
problem tho I can get grub to go to that partition by chaining from /dev/hda1.



Comment 5 Clyde E. Kunkel 2006-01-05 21:52:15 EST
Some more info, here is what the kickstart file says that was created during
install:

bootloader --location=partition --driveorder=sda,hda,sdb,sdc,sdd --append="rhgb
quiet"

Note the drive order.  Peculiar.  Would expect hda,sda,sdb,sdc,sdd

Also, I had to do a grub-install to /dev/hda17 after booting to complete the
install.
Comment 6 Matthew Miller 2006-07-10 17:11:30 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 7 petrosyan 2008-02-06 23:31:12 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.